
<?PHP
require_once('odt2htmlindex.php');
class ODT2XHTML
	{
	public function oo_unzip($file, $path = false)
		{
		IF(!function_exists('zip_open'))
			{
			throw new Exception('NO ZIP FUNCTIONS DETECTED. Do you have the PECL ZIP extensions loaded?');
			}
		IF(!is_file($file))
			{
			throw new Exception('Can\'t find file: '.$file);
			}
		IF($zip = zip_open($file))
			{
			while ($zip_entry = zip_read($zip))
				{
				$filename = zip_entry_name($zip_entry);
				IF(zip_entry_name($zip_entry) == 'content.xml' and zip_entry_open($zip, $zip_entry, "r"))
					{
					$content = zip_entry_read($zip_entry, zip_entry_filesize($zip_entry));
					zip_entry_close($zip_entry);
					}
				IF(ereg('Uploads/$nick/Odtpictures', $filename) and !ereg('Object', $filename)  and zip_entry_open($zip, $zip_entry, "r"))
					{
					$img[$filename] = zip_entry_read($zip_entry, zip_entry_filesize($zip_entry));
					zip_entry_close($zip_entry);
					}
				}
			IF(isset($content))
				{
				IF(is_array($img))
					{
					IF(!is_dir($path.'Uploads/$nick/Odtpictures'))
						{
						mkdir($path.'Uploads/$nick/Odtpictures');
						}
					foreach($img as $key => $val)
						{
						file_put_contents($path.$key, $val);
						}
					}
				return $content;
				}
			}
		}
	public function oo_convert($xml)
		{
		$xls = new DOMDocument;
		$xls->load('template.xsl');
		$xslt = new XSLTProcessor;
		$xslt->importStylesheet($xls);
		
		$x = preg_replace('#<draw:image xlink:href="Pictures/([a-z .A-Z_0-9]*)" (.*?)/>#es', "ODT2XHTML::makeImage('\\1')", $xml);
		
		$xml = new DOMDocument;
		$xml->loadXML($x);
		return html_entity_decode($xslt->transformToXML($xml));
		}
	public function makeImage($img)
		{
		return '&lt;img src="Pictures/'.$img.'" border="0" /&gt;';
		}
	}

/* echo $text;
if ((($_FILES["file"]["type"] == "application/vnd.oasis.opendocument.text"))
&& ($_FILES["file"]["size"] < 20000))
  {
  if ($_FILES["file"]["error"] > 0)
    {
    echo "Return Code: " . $_FILES["file"]["error"] . "<br />";
    }
  else
    {
    echo "Upload: " . $_FILES["file"]["name"] . "<br />";
    echo "Type: " . $_FILES["file"]["type"] . "<br />";
    echo "Size: " . ($_FILES["file"]["size"] / 1024) . " Kb<br />";
    echo "Temp file: " . $_FILES["file"]["tmp_name"] . "<br />";

    if (file_exists("upload/" . $_FILES["file"]["name"]))
      {
      echo $_FILES["file"]["name"] . " already exists. ";
      }
    else
      {
      move_uploaded_file($_FILES["file"]["tmp_name"],
      "upload/provaodt.odt");
      echo "Stored in: " . "upload/" . $_FILES["file"]["name"];
      }
    }
  }
*/
$class = new ODT2XHTML;
echo $class->oo_convert($class->oo_unzip('prova2.odt'));
oo_convert($xml);
echo $xml;
echo "Perchè non funziona!!!";
?>
