<?php
/***
 * class PHP odt2xhtml : file index ... necessary to include !
 * Copyright (C) 2011  Stephane HUC
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * Contact information:
 *   Stephane HUC
 *   <devs@stephane-huc.net>
 *
 ***/
$hosted = array (
	'odt2xhtml.dev.stephane-huc.net',
	'odt2xhtml.eu.org',
);

$included = array (
	'config.php',
	'class/class.messaging.php',
	'class/class.odt2xhtml.php',
);

if(in_array($_SERVER['HTTP_HOST'], $hosted)) error_reporting(E_ALL);
else error_reporting(0);

if(class_exists('XSLTProcessor')) {
	
	define('ODT2XHTML_ROOT', dirname(__FILE__) );
	define('ODT2XHTML_OWNER', fileowner(__FILE__) );

	foreach($included as $v) {
		$file = ODT2XHTML_ROOT.'/'.$v;
		
		$file = new SplFileInfo($file);
		if($file->isFile() && $file->isReadable() && $file->getOwner() == ODT2XHTML_OWNER ) {
			require_once($file);
			
			if(ODT2XHTML_DEBUG == true) { 
				echo '<p style="color: green; font-weight: bold;">file included: <strong>'.$file.'</strong> !</p>';
			}
		}
		else die('<p style="color:red; font-weight: bold; font-size: 2em">Failed to require file include needed: '.$file.' !</p>');
		
		unset($file); 
	}
	unset($v);	
}
else die('<p style="color:red;">Your WebHosting not support correctly the XSL Transformation in PHP5! Needed PHP-XSL Library ...</p>');
?>
