CREATE TABLE sharetext_comments (
  user TEXT,
  page TEXT,
  comment TEXT
);

CREATE TABLE sharetext_votes (
  user TEXT,
  page int(11),
  vote varchar(1)
);

CREATE TABLE sharetext_twitter (
  author TEXT,
  twitternick TEXT,
  twitterpwd TEXT
);

CREATE TABLE sharetext_libraries (
  owner TEXT,
  libname TEXT,
  libdesc TEXT,
  contatore TEXT,
  id MEDIUMINT NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (id)
);

CREATE TABLE sharetext_libcomments (
  user TEXT,
  page TEXT,
  comment TEXT
);

CREATE TABLE sharetext_image (
  user TEXT,
  image TEXT,
  id MEDIUMINT NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (id)
);

CREATE TABLE sharetext_friends (
  friend1 TEXT,
  friend2 TEXT
);

CREATE TABLE sharetext_emotions (
  user TEXT,
  page int(11),
  emotion TEXT
);

CREATE TABLE sharetext_text (
  name TEXT,
  author TEXT,
  description TEXT, 
  license TEXT,
  text LONGTEXT,
  uploaddate date,
  originaldate date,
  contatore TEXT,
  libraries TEXT,
  id MEDIUMINT NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (id),
  FULLTEXT (name, author, description) 
);

CREATE TABLE sharetext_users (
  nick TEXT,
  mail TEXT,
  website TEXT,
  about TEXT, 
  pwd TEXT,
  youtube TEXT,
  twitter TEXT,
  id MEDIUMINT NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (id)
);
